<tool id="Bet" name="Brain Extraction Tool from FSL" version="0.1">
  <authors>
    <author name="Hakim Achterberg" email="h.achterberg@erasmusmc.nl" url="http://www.bigr.nl/people/HakimAchterberg"/>
  </authors>
  <command version="5.0.2.2" url="">
    <targets>
      <target os="linux" arch="*" modules="fsl/5.0.2.2" paths="bin_linux/" bin="bet"/>
      <target os="darwin" arch="*" modules="fsl/5.0.2.2" paths="bin_linux/" bin="bet"/>
    </targets>
    <description>
    </description>
    <license/>
    <authors>
    </authors>
  </command>
  <interface>
    <inputs>
      <input id="image" name="Input Image" datatype="NiftiImageFileCompressed" order="1" cardinality="1"
             required="true"/>
      <input id="overlay_flag" name="Overlay brain surface onto original image" prefix="-o" datatype="Boolean" order="3"
             cardinality="1" required="false"/>
      <input id="mask_flag" name="Generate Binary Brainmask" prefix="-m" datatype="Boolean" order="4" cardinality="1"
             required="false"/>
      <input id="skull_flag" name="Generate Approximate Skull Image" prefix="-s" datatype="Boolean" order="4" cardinality="1"
             required="false"/>
      <input id="no_brain_flag" name="Don't generate segmented brain output" prefix="-n" datatype="Boolean" order="5"
             cardinality="1" required="false"/>
      <input id="fraction_value" name="Fractional Intensity Threshold" prefix="-f" datatype="Float" order="6" cardinality="1"
             required="false"/>
      <input id="vertical_gradient_value" name="Vertical Gradient in FIT" prefix="-g" datatype="Float" order="7"
             cardinality="1" required="false"/>
      <input id="head_radius_value" name="Head Radius (mm)" prefix="-r" datatype="Float" order="8" cardinality="1"
             required="false"/>
      <input id="center_of_gravity_coordinate" name="Center of Gravity (voxels)" prefix="-c" datatype="Int" order="9" cardinality="3"
             required="false"/>
      <input id="threshold_flag" name="Apply Threshold to Segmented Brain Image" prefix="-t" datatype="Boolean"
             cardinality="1" required="false"/>
      <input id="generate_mesh_flag" name="Generate Mesh surface" prefix="-e" datatype="Boolean" cardinality="1" required="false"/>
      <input id="robust_brain_estimation_flag" name="Robust Brain Centre Estimation" prefix="-R" datatype="Boolean" cardinality="1"
             required="false"/>
      <input id="eye_cleanup_flag" name="Eye and Optic Nerve Cleanup" prefix="-S" datatype="Boolean" cardinality="1"
             required="false"/>
      <input id="bias_cleanup_flag" name="Bias Field and Neck Cleanup" prefix="-B" datatype="Boolean" cardinality="1"
             required="false"/>
      <input id="small_fov_flag" name="Improve BET if FOV is very small in Z" prefix="-Z" datatype="Boolean" cardinality="1"
             required="false"/>
      <input id="fmri_flag" name="apply to 4D FMRI data" prefix="-F" datatype="Boolean" cardinality="1" required="false"/>
    </inputs>
    <outputs>
      <output id="image" name="output image" datatype="NiftiImageFileCompressed" order="2" cardinality="1"
              required="true"/>
      <output id="mask" name="mask" datatype="NiftiImageFileCompressed"
              cardinality="as:mask_flag" automatic="true" location="{output_parts.image[0].directory}/{output_parts.image[0].basename}_mask.*"
              method="path"/>
    </outputs>
  </interface>
  <requirements/>
  <tests/>
  <help>
  </help>
  <cite>
  </cite>
  <references/>
</tool>
